> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-697c363f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Open Orders

> Share patient profile to get open orders.



## OpenAPI

````yaml post /abdm/v1/profile/scan-and-pay/open-order
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/profile/scan-and-pay/open-order:
    post:
      description: Share patient profile to get open orders.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                counter_id:
                  description: Counter ID from QR Code
                  type: string
                hip_id:
                  description: HIP ID from QR Code
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  request_id:
                    type: string
                  status:
                    enum:
                      - REQUESTED_OPEN_ORDER
                      - ' PROCESSING_OPEN_ORDER'
                      - ' REQUESTED_PATIENT_SELECT'
                      - ' PROCESSING_PATIENT_SELECT'
                      - ' PROCESSING_PATIENT_NOTIFY'
                      - ' REQUESTING_PATIENT_NOTIFY'
                      - ' ERROR'
                    examples:
                      - REQUESTED_OPEN_ORDER
                    type: string
                type: object
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````